﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="MultipleGridViewCheckBoxes.aspx.cs" Inherits="LearningWebApplication.MultipleGridViewCheckBoxes" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
    
    <h2>Categories</h2>
    <asp:GridView ID="gvCategories" runat="server">
    
    <Columns>
    
    <asp:TemplateField HeaderText="Column 0">
    
    <HeaderTemplate> Column 0
    <input type="checkbox" onclick="toggleCheckBoxes('<%= gvCategories.ClientID %>',this.checked,'chkSelectColumn0')" id="chkAll" />
    </HeaderTemplate>
    
    <ItemTemplate>
    <asp:CheckBox ID="chkSelectColumn0" runat="server" />
    </ItemTemplate>
    </asp:TemplateField>
    
     <asp:TemplateField HeaderText="Column 1">   
    
    
    <ItemTemplate>
    <asp:CheckBox ID="chkSelect" runat="server" />
    </ItemTemplate>
    </asp:TemplateField>
    
    </Columns>
    
    </asp:GridView>
    
    <h2> Products </h2>
    <asp:GridView ID="gvProducts" runat="server">
    
    <Columns>
    
    <asp:TemplateField>
    
    <HeaderTemplate>
   <input type="checkbox" onclick="toggleCheckBoxes('<%= gvProducts.ClientID %>',this.checked)" id="chkAll" />
    </HeaderTemplate>
    
    <ItemTemplate>
    <asp:CheckBox ID="chkSelect" runat="server" />
    </ItemTemplate>
    </asp:TemplateField>
    
    </Columns>
    
    </asp:GridView>
    
    </div>
    </form>
</body>
</html>

<script language="javascript" type="text/javascript">

    var checkBoxSuffix = '';    
    
    // toggle state of the checkbox between selected and not selected! 
    function toggleCheckBoxes(gvId, isChecked, suffix) {

        checkBoxSuffix = suffix; 
        
        var checkboxes = getCheckBoxesFrom(document.getElementById(gvId));

        for (i = 0; i <= checkboxes.length - 1; i++) {

            checkboxes[i].checked = isChecked; 
        }

    }

// get all the checkboxes from the container control 
    function getCheckBoxesFrom(gv) {

        var checkboxesArray = new Array(); 
        var inputElements = gv.getElementsByTagName("input");
        if (inputElements.length == 0) null; 

        for (i = 0; i <= inputElements.length -1; i++) {

            if (isCheckBox(inputElements[i]) && isCorrectSuffix(inputElements[i])) {

                checkboxesArray.push(inputElements[i]); 
            }

        }

        return checkboxesArray;    
    }

    // this will match the end of the pattern
    function isCorrectSuffix(element) {

        if (checkBoxSuffix == undefined) return true;

        return element.id.match(checkBoxSuffix); 
    
    }
    
    // checks if the elements is a checkbox or not
    function isCheckBox(element) 
    {
        return element.type == "checkbox"; 
    }


</script>
