﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace LearningWebApplication
{
    public partial class MultipleGridViewCheckBoxes : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
         
            if(!Page.IsPostBack)
            {
                BindData(); 
            }
        }

        private void BindData()
        {
            using(NorthwindDataContext dc = new NorthwindDataContext())
            {
                gvCategories.DataSource = from c in dc.Categories
                                          select c;
                gvCategories.DataBind();

                gvProducts.DataSource = (from p in dc.Products
                                         select p).Take(10);
                gvProducts.DataBind(); 

            }

            
        }
    }
}
